org.multiverse.api.exceptions

## Class AtomicOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.AtomicOperationException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LockedException

    public class AtomicOperationException
    extends TxnExecutionException

A `TxnExecutionException` thrown when an atomic operation has failed (e.g. because the ref was locked).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AtomicOperationException()` Creates a new AtomicOperationException.
`AtomicOperationException(java.lang.String message)` Creates a new AtomicOperationException with the provided message.
`AtomicOperationException(java.lang.String message, java.lang.Throwable cause)` Creates a new AtomicOperationException with the provided message and cause.
`AtomicOperationException(java.lang.Throwable cause)` Creates a new AtomicOperationException with the provided message and cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AtomicOperationException

    public AtomicOperationException()

Creates a new AtomicOperationException.

#### AtomicOperationException

    public AtomicOperationException(java.lang.String message)

Creates a new AtomicOperationException with the provided message.

Parameters:
  `message` - the message

#### AtomicOperationException

    public AtomicOperationException(java.lang.String message,
                            java.lang.Throwable cause)

Creates a new AtomicOperationException with the provided message and cause.

Parameters:
  `message` - the message
  `cause` - the cause of the message

#### AtomicOperationException

    public AtomicOperationException(java.lang.Throwable cause)

Creates a new AtomicOperationException with the provided message and cause.

Parameters:
  `cause` - the cause of the exception.